namespace BPA.MES.Base.Application.Entitys
{
    /// <summary>
    /// 名    称 ：  
    /// 创 建 人 ：yangxiao  
    /// 创建时间 ：  2023/8/9 18:22:42 
    /// 描    述 ：  
    /// </summary>
    [SugarTable("work_info_materials_record")]
    public class WorkInfoMaterialsRecordEntity : DEntityBase
    {
        /// <summary>
        /// 物料名称
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string MaterialName { get; set; }
        /// <summary>
        /// 物料id
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string MaterialId { get; set; }
        /// <summary>
        /// 工单id
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string WorkId { get; set; }
        /// <summary>
        /// 重量
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string Weight { get; set; }
        /// <summary>
        /// 第几锅
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string PotNum { get; set; }
        /// <summary>
        /// 配方Id
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string RecipeId { get; set; }
        /// <summary>
        /// 配方名称
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string RecipeName { get; set; }
        /// <summary>
        /// 物料状态
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public EBatchingStatus MaterialStatus { get; set; }
        /// <summary>
        /// 更新时间
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public DateTime? UpdateTime { get; set; }
        /// <summary>
        /// 误差
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string ErrorWeight { get; set; }
    }
}
